/****************************************************************************/
/*! \file
**  \brief  Versions (wfx_Versions) .lists-loading progress script
**
**  This file implements functions used by the .lists-loading popup.
**
**  \n
**  Copyright  ©  aNDreas Bolotă  aNDreas·Bolota(α)kirnbie·com
**
**  Versions (wfx_Versions) allows you to find out the current version number
**  of any program downloadable online.
**  Versions (wfx_Versions) emulates the behavior of Versions © Fabio Chelly
**  file-system plugin for Total Commander © Christian Ghisler.
**
**  This program is free software: you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation, either version 3 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program.  If not, see <http://www.gnu.org/licenses/>
*/


/****************************************************************************/
/*! \brief  Guard against setTimeout() not firing under modal dialog on *nix
**
**  \see  wfxVersions_progressOps_statusUpdate
*/
var  wfxVersions_progressVars_nixGuard = {  value: 0,  times: 0  };


/****************************************************************************/
/*! \brief  Periodically update the status
**
**  \param  --
**
**  \return  --
*/
function  wfxVersions_progressOps_statusUpdate()
{
  if(  opener[ "wfxListsLoading" ]  )
  {
    wfxVersions_progressVars_nixGuard.times++;
    if(  wfxVersions_progressVars_nixGuard.times > 60  )
    {
      opener.wfxVersions_globalOps_setTimeout(  'openDialog( "chrome://wfx_versions/content/wfx_versions_progress.xul", "", "chrome,centerscreen,modal" )',  300  );
      wfxVersions_globalOps_setTimeout(  "wfxVersions_globalOps_windowClose(window)",  10  );
      return;
    }

    /*  translate the status directly into window title  */
    var  szStatus = opener.document.getElementById(  "wfxVersions_dialogIDs_statusBar"  ).value;
    document.title = szStatus;

    /*  translate the load/display progress into progressmeter  */
    var  iPos = opener.wfxVersions_dialogVars_progress;
    var  iLen = opener.wfxVersions_dialogVars_itemsList.length;
    var  iProgress = (  iPos * 100  ) / iLen;
    document.getElementById(  "wfxVersions_progressIDs_it"  ).setAttribute(  "value",  iProgress  );

    if(  wfxVersions_progressVars_nixGuard.value != iPos  )
    {
      wfxVersions_progressVars_nixGuard.value = iPos;
      wfxVersions_progressVars_nixGuard.times = 0;
    }

    wfxVersions_globalOps_setTimeout(  "wfxVersions_progressOps_statusUpdate()",  10  );
  }
  else
  {
    wfxVersions_globalOps_windowClose(  window  );
  }
}


/****************************************************************************/
/*! \brief  Display an Exit confirmation dialog for the user
**
**  \param  --
**
**  \return  allow (true) or deny (false) the exit/cancel operation
*/
function  wfxVersions_progressOps_exit()
{
  var  bConfirmEnabled = Components.classes[ "@mozilla.org/preferences-service;1" ]
                                   .getService(  Components.interfaces.nsIPrefBranch  )
                                   .getBoolPref(  "extensions.wfx_Versions.confirm.loadProgress.cancel"  );

  var  szConfirm = opener.document.getElementById(  "wfxVersions_dialogIDs_buttonCancel"  ).getAttribute(  "tooltiptext"  );
  if((  szConfirm.length != 0  )&&(  bConfirmEnabled  ))
  {
    if(  !wfxVersions_globalOps_confirm( document.title, szConfirm )  )
    {
      return  false;
    }
  }

  opener.wfxVersions_globalOps_setTimeout(  "wfxVersions_globalOps_windowClose( window )",  10  );
  return  true;
}
