/****************************************************************************/
/*! \file
**  \brief  Versions (wfx_Versions) default preferences
**
**  This file contains the default values for the Versions (wfx_Versions)
**  addon for Mozilla applications.
**
**  \n
**  Copyright  ©  aNDreas Bolotă  aNDreas·Bolota(α)kirnbie·com
**
**  Versions (wfx_Versions) allows you to find out the current version number
**  of any program downloadable online.
**  Versions (wfx_Versions) emulates the behavior of Versions © Fabio Chelly
**  file-system plugin for Total Commander © Christian Ghisler.
**
**  This program is free software: you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation, either version 3 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program.  If not, see <http://www.gnu.org/licenses/>
*/

pref(  "extensions.wfx_Versions.tcPluginPath",                  "Versions"  );
pref(  "extensions.wfx_Versions.tcPluginPaths.collect",         "Versions*c:\\totalcmd\\wfx\\versions"  );
pref(  "extensions.wfx_Versions.httpReqTimeout",                45  );
pref(  "extensions.wfx_Versions@firefox.ND.name",               "chrome://wfx_versions/locale/wfx_versions.properties"  );
pref(  "extensions.wfx_Versions@firefox.ND.description",        "chrome://wfx_versions/locale/wfx_versions.properties"  );
pref(  "extensions.wfx_Versions@firefox.ND.homepageURL",        "chrome://wfx_versions/locale/wfx_versions.properties"  );
pref(  "extensions.wfx_Versions.background.main",               "#D4D0C8"  );
pref(  "extensions.wfx_Versions.background.alternated",         "#E4E0D8"  );
pref(  "extensions.wfx_Versions.link.text.main",                "blue"  );
pref(  "extensions.wfx_Versions.link.text.edited",              "purple"  );
pref(  "extensions.wfx_Versions.link.hover.main",               "green"  );
pref(  "extensions.wfx_Versions.link.hover.edited",             "teal"  );
pref(  "extensions.wfx_Versions.scan.text.idle",                "black"  );
pref(  "extensions.wfx_Versions.scan.text.error",               "red"  );
pref(  "extensions.wfx_Versions.show.toolsmenuitem",            true  );
pref(  "extensions.wfx_Versions.expanded.toolsmenu",            true  );
pref(  "extensions.wfx_Versions.show.statusbar",                true  );
pref(  "extensions.wfx_Versions.show.toolbar",                  true  );
pref(  "extensions.wfx_Versions.show.addIcons2Labels",          true  );
pref(  "extensions.wfx_Versions.show.tabButton.Arrows",         true  );
pref(  "extensions.wfx_Versions.show.tabButton.Close",          true  );
pref(  "extensions.wfx_Versions.show.individual.scans",         true  );
pref(  "extensions.wfx_Versions.show.alternate.URLs",           true  );
pref(  "extensions.wfx_Versions.confirm.scan.update",           true  );
pref(  "extensions.wfx_Versions.confirm.edit.move",             true  );
pref(  "extensions.wfx_Versions.confirm.edit.copy",             true  );
pref(  "extensions.wfx_Versions.confirm.edit.delete",           true  );
pref(  "extensions.wfx_Versions.confirm.edit.append",           true  );
pref(  "extensions.wfx_Versions.confirm.edit.modify",           true  );
pref(  "extensions.wfx_Versions.confirm.edit.sort",             true  );
pref(  "extensions.wfx_Versions.confirm.quickedit.save",        true  );
pref(  "extensions.wfx_Versions.confirm.file.delete",           true  );
pref(  "extensions.wfx_Versions.confirm.create.default.lists",  true  );
pref(  "extensions.wfx_Versions.confirm.loadProgress.cancel",   true  );
pref(  "extensions.wfx_Versions.start.toolsmenuitem",           0  );  /*  0 = Options / 1 = Scan / 2 = Edit  */
pref(  "extensions.wfx_Versions.start.statusbar",               0  );
pref(  "extensions.wfx_Versions.start.toolbar",                 0  );
pref(  "extensions.wfx_Versions.selections.all",                false  );
pref(  "extensions.wfx_Versions.selections.skipSingle.Edit",    false  );
pref(  "extensions.wfx_Versions.selections.skipSingle.Scan",    false  );
pref(  "extensions.wfx_Versions.expanded.context.Scan",         false  );
pref(  "extensions.wfx_Versions.copyMemorize",                  1  );  /* 0 = never / 1 = per Edit / 2 = per session / 3 = always */
pref(  "extensions.wfx_Versions.editMemorize",                  2  );
pref(  "extensions.wfx_Versions.scanMemorize",                  3  );
pref(  "extensions.wfx_Versions.copySelections",                ""  );
pref(  "extensions.wfx_Versions.editSelections",                ""  );
pref(  "extensions.wfx_Versions.scanSelections",                ""  );
pref(  "extensions.wfx_Versions.resize.shrinkBack",             1  );  /*  0 = never / 1 = when only Options is left / 2 = after every tab closed  */
pref(  "extensions.wfx_Versions.comments.display",              true  );
pref(  "extensions.wfx_Versions.expandedOps.path",              true  );
pref(  "extensions.wfx_Versions.expandedOps.timeout",           true  );
pref(  "extensions.wfx_Versions.expandedOps.display",           true  );
pref(  "extensions.wfx_Versions.expandedOps.colors",            false  );
pref(  "extensions.wfx_Versions.expandedOps.memorize",          false  );
pref(  "extensions.wfx_Versions.click.like.ctrlClick",          false  );
pref(  "extensions.wfx_Versions.enable.logging.Edit",           false  );
pref(  "extensions.wfx_Versions.enable.logging.Scan",           false  );
pref(  "extensions.wfx_Versions.logging.format",                "[Y]|[M]|[J]|[X]|[Q]|[U]|[E]"  );
pref(  "extensions.wfx_Versions.logging.name",                  "_list.log"  );
pref(  "extensions.wfx_Versions.oldStyle.Edit.newEntry",        false  );
pref(  "extensions.wfx_Versions.force.Scan.onBrowserStart",     false  );
pref(  "extensions.wfx_Versions.force.reScan.onScanDone",       0  );
pref(  "extensions.wfx_Versions.Edit.sort.auto",                false  );
pref(  "extensions.wfx_Versions.Edit.sort.caps",                false  );
pref(  "extensions.wfx_Versions.Edit.sort.reversed",            false  );
